Subject: Re: powerpc gdb and gdbserver

From: "Christopher R. Johnson" <[email-masked]>
Date: Thu, 18 Dec 2003 15:37:49 -0500

As I mentioned, the library doesn't exist.  I need to build it, but I'm
not sure where it comes from (glibc I think) or how to get it built.
 Its a target library, so I have to build it for ppc and deliver it to
my target box.  That part I know how to do, its creating the library to
begin with that I don't know how to do.

Daniel Jacobowitz wrote:

>On Thu, Dec 18, 2003 at 03:27:26PM -0500, Christopher R. Johnson wrote:
>
>>Ok that worked pretty well, except that gdbserver wants a library called
>>libthread_db.so on the target.  From what little I can find this looks
>>like something I should build from the glibc mess.  Does anyone know
>>what options I need to add to the glibc build in order to create this
>>library?
>>
>
>Just make a symlink to libthread_db.so.1.
>
>>Thanks!
>>
>>Daniel Jacobowitz wrote:
>>
>>>On Wed, Dec 17, 2003 at 12:50:51PM -0500, Christopher R. Johnson wrote:
>>>
>>>>I'm about to go and grab gdb to build a host-based debugger and
>>>>target-based (PPC 405GP) gdbserver.  Anybody out there with advice on
>>>>how to do this?  Should it just work out of the box or is there stuff I
>>>>need to do to gdbserver for this platform?  The sources I just found are
>>>>gdb-6.0, and I'm using quite recent tools (gcc 3.3.2 glibc 2.3.2
>>>>binutils 2.14.90.0.5 - kudos to Dan Kegle for the crosstools stuff!!!).
>>>>
>>>>Thanks!
>>>>
>>>It should simply build and work.  You build GDB by setting a --target
>>>and gdbserver by setting a --host.  If you don't want to build a native
>>>GDB at the same time, run the --host build by gdbserver/configure
>>>instead of the top-level src/configure.
>>>
>>>--
>>>Daniel Jacobowitz
>>>MontaVista Software                         Debian GNU/Linux Developer
>>>
>>>
>>--
>>Christopher R. Johnson
>>Principal Software Engineer
>>GCC Printers
>>(781)276-8763
>>
>>
>>
>>
>

--
Christopher R. Johnson
Principal Software Engineer
GCC Printers
(781)276-8763

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/